Merge pull request #1598 from andre2007/fix-travis-ci
Fix travis ci
merged-on-behalf-of: Nicholas Wilson <thewilsonator@users.noreply.github.com>
commit b4b8bf9e7fd5a820ecc79cb8bc8ed18d9f97daae
2 parents 6aab6a7 + f0910d4
@The Dlang Bot The Dlang Bot authored on 22 Nov 2018
GitHub committed on 22 Nov 2018
Showing 2 changed files
View
15
test/issue1574-addcommand.sh
#!/usr/bin/env bash
. $(dirname "${BASH_SOURCE[0]}")/common.sh
DIR=$(dirname "${BASH_SOURCE[0]}")
 
. "$DIR"/common.sh
 
PORT=$(($$ + 1024)) # PID + 1024
tempDir="issue1574-addcommand"
 
"$DUB" build --single "$DIR"/test_registry.d
"$DIR"/test_registry --folder="$DIR/issue1336-registry" --port=$PORT &
PID=$!
sleep 1
 
function cleanup {
cd ..
rm -rf $tempDir
kill $PID 2>/dev/null || true
}
trap cleanup EXIT
 
 
$DUB init -n $tempDir
cd $tempDir
 
echo "import mir.math.common; void main(){}" > source/app.d
echo "import gitcompatibledubpackage.subdir.file; void main(){}" > source/app.d
 
$DUB add mir-core
$DUB add gitcompatibledubpackage --skip-registry=all --registry=http://localhost:$PORT
 
#if dub fails to compile, that means that the "import mir.math.common" did not work
if ! $DUB build; then
die "Add command failed"
View
2
■■■
test/issue1574-addcommand.sh.min_frontend 0 → 100644
2.076